commit: c7bb83b69b4e15414c2027c61bcd44d08df3918e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 28 05:43:39 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 28 05:55:36 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7bb83b6
dev-python/requests-mock: Bump to 1.12.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/requests-mock/Manifest | 1 +
.../requests-mock/requests-mock-1.12.0.ebuild | 48 ++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/requests-mock/Manifest
b/dev-python/requests-mock/Manifest
index e8bda4a814bd..04f30c1c24c8 100644
--- a/dev-python/requests-mock/Manifest
+++ b/dev-python/requests-mock/Manifest
@@ -1 +1,2 @@
DIST requests-mock-1.11.0.tar.gz 74377 BLAKE2B
f871bbd18b42668d9eb693b807a67a33c9fb7c4316966ad2c16800bf562be982c737e1c1a803e3c5b6d3cde8c3d789671b5fce7d54df308dc55b2ef73a641ff4
SHA512
8d161cb0f6183994053d4dd06b801c2614b7ac937798addcdc52ee8e3973a7ef874ca615ca1946ea4bc0e05ce36c5c813460f7a41b3254671095059536fd2961
+DIST requests-mock-1.12.0.tar.gz 60874 BLAKE2B
53e0cf6cf25dbfec87e913a9f85c9ad0757e3b071e4c1d66a31810283cd0332a0a8b8317a9da433a2b36f629ff52808a82993126a5f7a9d138c47099072329a3
SHA512
1bc07b5fa90752d73e05de7147f891600fce3041f6b9aaf3ad6be87532b314543340d94087e834801761a7f3aefb0bb1e1bdb717c11b90b940cccf37b2982164
diff --git a/dev-python/requests-mock/requests-mock-1.12.0.ebuild
b/dev-python/requests-mock/requests-mock-1.12.0.ebuild
new file mode 100644
index 000000000000..a0e17f881c2f
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.12.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="
+ https://github.com/jamielennox/requests-mock/
+ https://pypi.org/project/requests-mock/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.22[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/requests-futures[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Disable reno which only works inside a git repository
+ sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+ # Remove the release notes section which requires reno
+ rm doc/source/release-notes.rst || die
+ sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+ # Disable a test which requires purl (not in the tree)
+ sed -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+ -i tests/test_adapter.py || die
+ distutils-r1_python_prepare_all
+}